creating matroska from h264 problem

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

creating matroska from h264 problem

tyggrysio
hi,
 I have tried to create matroska movie from h264 video, but output file size was always 5kB - regardless of input file. I have used following instruction:
gst-launch-0.10.exe filesrc location=movie.h264 ! "video/x-h264,height=480,width=640,framerate=25/1" ! matroskamux ! filesink location="E:\output.mkv"

I have also tried to decode my h264 video and create matroska from received raw video:
gst-launch-0.10.exe filesrc location=movie.h264 ! "video/x-h264,height=480,width=640,framerate=25/1" ! ffdec_h264 ! matroskamux ! filesink location="E:\output.mkv"
I have receiced output file, but I can't play it in mplayer, because (this is part of my mplayer log):
(...)
==> Found video stream: 0
ID_VIDEO_ID=0
ds_fill_buffer: EOF reached (stream: video)
LAVF_check: Matroska file format
libavformat file format detected.
[matroska @ 00B5D3B4]Read error at pos. 13 (0xd)
LAVF_header: av_open_input_stream() failed
demux_aac_probe, failed to detect an AAC stream
WINSOCK2 uninit
Exiting... (End of file)

I don't know why I have this "error at pos. 13". I suppose that something is wrong with my command, but I can't find what. I've search through this list archive, but I didn't find anything helpful.

Monika

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: creating matroska from h264 problem

Felipe Contreras
On Tue, Mar 4, 2008 at 12:37 PM, tyggrysio <[hidden email]> wrote:

> hi,
>  I have tried to create matroska movie from h264 video, but output file size
> was always 5kB - regardless of input file. I have used following
> instruction:
> gst-launch-0.10.exe filesrc location=movie.h264 !
> "video/x-h264,height=480,width=640,framerate=25/1" ! matroskamux ! filesink
> location="E:\output.mkv"
>
> I have also tried to decode my h264 video and create matroska from received
> raw video:
> gst-launch-0.10.exe filesrc location=movie.h264 !
> "video/x-h264,height=480,width=640,framerate=25/1" ! ffdec_h264 !
> matroskamux ! filesink location="E:\output.mkv"
>  I have receiced output file, but I can't play it in mplayer, because (this
> is part of my mplayer log):
> (...)
> ==> Found video stream: 0
> ID_VIDEO_ID=0
> ds_fill_buffer: EOF reached (stream: video)
> LAVF_check: Matroska file format
>  libavformat file format detected.
> [matroska @ 00B5D3B4]Read error at pos. 13 (0xd)
> LAVF_header: av_open_input_stream() failed
> demux_aac_probe, failed to detect an AAC stream
> WINSOCK2 uninit
> Exiting... (End of file)
>
> I don't know why I have this "error at pos. 13". I suppose that something is
> wrong with my command, but I can't find what. I've search through this list
> archive, but I didn't find anything helpful.

Perhaps the fact that there are no timestamps somehow affects?

--
Felipe Contreras

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Building gst-plugins-good-0.10.7

sreejesh-2
Hi ,

I am getting an error during "./configure" for gst good plugins.

"checking for LIBOIL... configure: error: liboil-0.3.8 or later is required"

But I have already downloaded and installed "liboil-0.3.13".

Please help me out to resolve this issue.

Thanks & Regards
Sreejesh R B


-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: Building gst-plugins-good-0.10.7

Alex Ugarte-2
You are probably missing the development package for liboil. Try "apt-get install liboil-devel"

On 3/12/08, Sreejesh <[hidden email]> wrote:
Hi ,

I am getting an error during "./configure" for gst good plugins.

"checking for LIBOIL... configure: error: liboil-0.3.8 or later is required"

But I have already downloaded and installed "liboil-0.3.13".

Please help me out to resolve this issue.

Thanks & Regards
Sreejesh R B


-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel



--
Eng. Alex Ugarte
Interactive television and multimedia services department
VICOMTech - Visual Interaction and Communication Technologies Center
Mikeletegi Pasealekua, 57 - Parque Tecnol├│gico

E-20009 Donostia - San Sebastián, Spain
Tel:  +[34] 943 30 92 30
Fax: +[34] 943 30 93 93
e-mail: [hidden email]
web: www.vicomtech.org
*** member of INI-GraphicsNet ****
*** member of IK4 Research Alliance ****
-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: Building gst-plugins-good-0.10.7

Damien Lespiau
In reply to this post by sreejesh-2
On Wed, Mar 12, 2008 at 5:09 PM, Sreejesh <[hidden email]> wrote:
> Hi ,
>
>  I am getting an error during "./configure" for gst good plugins.
>
>  "checking for LIBOIL... configure: error: liboil-0.3.8 or later is required"
>
>  But I have already downloaded and installed "liboil-0.3.13".

You probably need to install the development package of liboil, eg.
liboil0.3-dev with
a debian based distribution. This will install the needed files to use
the lib from
a developper point of view (and especially the liboil-0.3.pc file in
/usr/lib/pkconfig
needed for the configure above (pkg-config based)).

HTH

--
Damien

-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: Building gst-plugins-good-0.10.7

sreejesh-2
Hi,

Sorry for the delay. Thanks for the response.
I had already installed liboil-0.3.13 and liboil-0.3.pc was also present at
the "pkgconfig" location.
My "./configure" went through after I exported "PKG_CONFIG_PATH" with
"/usr/lib/pkconfig" path.

Thanks & Regards
Sreejesh R B

-----Original Message-----
From: Damien Lespiau [mailto:[hidden email]]
Sent: Thursday, March 13, 2008 4:43 AM
To: [hidden email]
Cc: [hidden email]
Subject: Re: [gst-devel] Building gst-plugins-good-0.10.7

On Wed, Mar 12, 2008 at 5:09 PM, Sreejesh <[hidden email]> wrote:
> Hi ,
>
>  I am getting an error during "./configure" for gst good plugins.
>
>  "checking for LIBOIL... configure: error: liboil-0.3.8 or later is
required"
>
>  But I have already downloaded and installed "liboil-0.3.13".

You probably need to install the development package of liboil, eg.
liboil0.3-dev with
a debian based distribution. This will install the needed files to use
the lib from
a developper point of view (and especially the liboil-0.3.pc file in
/usr/lib/pkconfig
needed for the configure above (pkg-config based)).

HTH

--
Damien


-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2008.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel